Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface ExtrinsicObjectQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  ExtrinsicObjectQueryTypeImpl

    public interface ExtrinsicObjectQueryType

extends RegistryObjectQueryType

A representation of the model object 'Extrinsic Object Query Type'.

The following features are supported:

- `Content Version Info Filter`

See Also:
  `QueryPackage.getExtrinsicObjectQueryType()`

Method Summary
`FilterType` | `getContentVersionInfoFilter()` Returns the value of the 'Content Version Info Filter' containment reference.
`void` | `setContentVersionInfoFilter(FilterType value)` Sets the value of the '`Content Version Info Filter`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.RegistryObjectQueryType
`getClassificationQuery, getDescriptionBranch, getExternalIdentifierQuery, getNameBranch, getObjectTypeQuery, getSlotBranch, getSourceAssociationQuery, getStatusQuery, getTargetAssociationQuery, getVersionInfoFilter, setDescriptionBranch, setNameBranch, setObjectTypeQuery, setStatusQuery, setVersionInfoFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContentVersionInfoFilter

    FilterType getContentVersionInfoFilter()

  Returns the value of the 'Content Version Info Filter' containment reference.

  If the meaning of the 'Content Version Info Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Version Info Filter' containment reference.
  See Also:
    `setContentVersionInfoFilter(FilterType)`, `QueryPackage.getExtrinsicObjectQueryType_ContentVersionInfoFilter()`

### setContentVersionInfoFilter

    void setContentVersionInfoFilter(FilterType value)

  Sets the value of the '`Content Version Info Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Content Version Info Filter' containment reference.
  See Also:
    `getContentVersionInfoFilter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD